import {Pipe, PipeTransform} from '@angular/core';

@Pipe({
    name: 'stringSlice',
})
export class StringSlicePipe implements PipeTransform {
    transform(value: string, len: number,index:number) {
        let str;
        str = value.length > len ? value.slice(0, index) + "..." : value;
        return str;
    }
}
